%define uname plasma-pstate

Name:           plasma-applet-pstate
Version:        2.0.0
Release:        %mkrel 2
Summary:        Plasma 5 applet to manager Intel P-state and CPUFreq
Group:          Graphical desktop/KDE
License:        GPLv2+
Url:            https://github.com/frankenfruity/plasma-pstate
Source0:        https://github.com/frankenfruity/plasma-pstate/archive/%{version}/%{uname}-%{version}.tar.gz

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5Plasma)

Requires:       plasma-workspace

%description
Intel P-state and CPUFreq Manager is a KDE Plasma widget in order to
control the frequencies of Intel CPUs and their integrated GPUs for any
modern Intel Processors running in Active Mode with HWP or Active Mode
Without HWP. It can also manage the processor's energy consumption
through Energy-Performance Preference (EPP) knob (if supported) or the
Energy-Performance Bias (EPB) knob (otherwise).

Note: To use this applet, the user must have sudo permissions (e.g. be
part of the 'wheel' group).

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

install -D -m644 src/plasma_pstate.policy \
  %{buildroot}%{_datadir}/polkit-1/actions/plasma_pstate.policy

%files
%doc README.md
%license LICENSE.md
%{_datadir}/polkit-1/actions/plasma_pstate.policy
%{_datadir}/kservices5/plasma-applet-gr.ictpro.jsalatas.plasma.pstate.desktop
%{_kf5_datadir}/plasma/plasmoids/gr.ictpro.jsalatas.plasma.pstate/
%{_qt5_plugindir}/plasma/applets/plasma_applet_pstate.so
%{_kf5_metainfodir}/gr.ictpro.jsalatas.plasma.pstate.appdata.xml


%changelog
* Tue Aug 02 2022 tv <tv> 2.0.0-2.mga9
+ Revision: 1874340
- Fix filelist

* Mon Jan 03 2022 akien <akien> 2.0.0-1.mga9
+ Revision: 1766441
- Version 2.0.0, new upstream

* Fri Oct 23 2020 akien <akien> 1.0.6-3.mga8
+ Revision: 1638900
- App patch supposedly fixing crashes with latest nvidia

* Wed Apr 29 2020 akien <akien> 1.0.6-2.mga8
+ Revision: 1573206
- Make set_prefs.sh +rx

* Sun Apr 26 2020 akien <akien> 1.0.6-1.mga8
+ Revision: 1572271
- import plasma-applet-pstate (thanks daviddavid for the CMakeLists.txt)

